Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PlacementId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.PlacementId

All Implemented Interfaces:
  Serializable

public class PlacementId
extends Id

Represents a unique placement of a placeable (`Book` or `Portlet`) on a navigable (`Book` or `Page`). `PlacementId` is the primary key value of the PF_PLACEMENT.PLACEMENT_ID table in the database.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PlacementId(int id)`

Method Summary
`protected Object` | `clone()`
`static PlacementId` | `clone(PlacementId placementId)`
`static PlacementId` | `createPlacementId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlacementId

    public PlacementId(int id)

Parameters:
  `id` - the integer value that this `PlacementId` should be set to.

Method Detail

### createPlacementId

    public static PlacementId createPlacementId(int id)

  Parameters:
    `id` - the integer value that this `PlacementId` should be set to.
  Returns:
    a new `PlacementId` with the id value set to the integer passed in.

### clone

    public static PlacementId clone(PlacementId placementId)

  Parameters:
    `placementId` - the `PlacementId` to be cloned.
  Returns:
    a new `PlacementId` with the exact same id value as the `PlacementId` passed in.

### clone

    protected Object clone()

  Returns:
    a new `PlacementId` with the exact same id value as this `PlacementId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved